section#main__section_data {
    border-top: 1px solid #d3dae8;
}

.search-filter {

    padding: 0 2.5rem;

    border-bottom: 1px solid #d3dae8;

}

.search-results-title {

    position: relative;

    display: flex;

    flex-direction: column;

    justify-content: center;

    min-height: 3.75rem;

}

.search-results-title h2 {

    padding-bottom: 1rem;

    padding-top: 0rem;

}

h2 {

    font-size: 2rem;

    line-height: 2.8rem;

}

.column-8 {

    grid-column: span 8;

}

.search-filter-controls {

    position: relative;

    display: flex;

    align-items: center;

    justify-content: flex-end;

    height: 3.75rem;

}

.rounded-button {

    border-radius: 1.25rem;

    border: 1px solid;

    height: 2.5rem;

    display: inline-flex;

    transition: all 0.25s ease;

    justify-content: center;

    align-items: center;

}

.navy-button {

    border-color: #14145a;

    background-color: #14145a;

    color: #fff;

}

.refine-results-control .rounded-button {

    display: inline-flex;

    align-items: center;

    justify-content: center;

    cursor: pointer;

}

.refine-results-control .rounded-button .button-text {

    padding: 0.125rem 0 0 2.5rem;

}

p, span {

    font-size: 1rem;

    line-height: 1.4rem;

}

.refine-results-control .rounded-button .button-icon {

    padding: 0.125rem 2.5rem 0 1.25rem;

}

.refine-results-control .rounded-button .button-icon svg {

    width: 1.25rem;

    height: 1.25rem;

}

.toggle-button-container {

    background-color: #d3dae8;

    height: 2.5rem;

    border-radius: 1.25rem;

    margin-left: 1.25rem;

    display: inline-flex;

    align-items: center;

    padding: 0 1px;

}

.toggle-button-container .toggle-button {

    color: #fff;

    padding: 0.125rem 2.5rem 0;

    transition: color 0.25s ease;

    cursor: pointer;

    height: 2.25rem;

    display: flex;

    flex-direction: column;

    justify-content: center;

}

.toggle-button-container .toggle-button.active {

    background-color: #fff;

    color: #14145a;

    border-radius: 1.25rem;

}
.search-filter-dialogue {
    display: none;
    /* position: absolute;
    z-index: 100;
    background: rgba(0, 0, 0, 0.6); */
}
.search-filter-dialogue.active {

    /* display: block;
    width: 50%;
    margin: 0 auto;
    padding-bottom: 20px; */
    display: flex;
    justify-content: center;

}
.search-filter-dialogue .filter-box .main-filters .flex-grid {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.section-padding {
    padding: 4rem;
    padding-bottom: 0;
}
.pb-1 {
    padding-bottom: 1rem;
}
.h-style-2 {
    font-family: 'Sailec';
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 1.3;
    letter-spacing: -0.02em;
}

.lens-results-grid {
    gap: 1rem;
    grid-auto-rows: 1fr;
}

.how_works {
    display: flex;
    align-items: center;
}
.toggle_btn {
    text-align: right;
    flex: 1;
}
.text-size-small {
    font-size: 0.875rem;
    line-height: 1.5;
}
.switch {
    position: relative;
    display: inline-block;
    width: 2.5rem;
    height: 1.5rem;
    vertical-align: middle;
}
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
.slider.round {
    border-radius: 1.5rem;
}
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}
.slider:before {
    position: absolute;
    content: "";
    height: 1rem;
    width: 1rem;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
.slider.round:before {
    border-radius: 50%;
}

.results-display-by-name.hidden {

    display: none;

}

.search-filter-dialogue .filter-box {

    /* margin: 1.25rem; */

    padding: 1.25rem;

    background-color: #fff;

    border: 1px solid #d3dae8;
    /* box-shadow: 0px 2px 10px 4px rgb(0 0 0); */

    border-radius: 0.75rem;

}

.search-filter-dialogue .filter-box .main-filters {

    margin: 0 -0.75rem;

}



.mobile-brand-link, .mobile-display-toggle {

    display: none;

}

.search-filter-dialogue .filter-box .filter-item {

    display: flex;

    flex-direction: column;

    margin: 0 0.75rem;

    position: relative;

}   

.search-filter-dialogue .filter-box .filter-item label {

    font-weight: 700;

}

.search-filter-dialogue .filter-box .filter-item select {

    margin-top: 1rem;

    display: block;

    font-size: 1rem;

    font-family: Sailec Regular, sans-serif;

    color: #14145a;

    line-height: 2rem;

    padding: 0.75rem 2rem;

    outline: 0;

    width: 100%;

    max-width: 100%;

    box-sizing: border-box;

    border: 1px solid #d3dae8;

    border-radius: 5rem;

    -moz-appearance: none;

    -webkit-appearance: none;

    appearance: none;

    background-color: #fff;

    cursor: pointer;

}

.search-filter-dialogue .filter-box .filter-item .dropdown-arrow {

    position: absolute;

    right: 1.25rem;

    top: 3.25rem;

}

.search-filter-dialogue .filter-box .filter-item {

    display: flex;

    flex-direction: column;

    margin: 0 0.75rem;

    position: relative;

}

.search-filter-dialogue .filter-box .filter-item label {

    font-weight: 700;

}

.filter-by-brand {

    margin-top: 1.25rem;

}

.column-12 {

    grid-column: span 12;

}

.results-display-section {

    display: block;

    /* background-color: #f0f0f0;

    padding: 1rem; */

}

.lens-results-grid .lens-results-column {

    grid-column: span 3;
}



/**** defined the entire search result box *******/

.results-display-section .results-item {
    width: 100%;
    position: relative;
    border-radius: 0.5rem;
    background-color: #fff;
    border: 1px solid #fff;
    overflow: hidden;
    cursor: pointer;
    transition: border 0.25s ease;
    height: 100%;
}

/* CHANGE MARGIN TO CHANGE HEIGHT OF RESULT AREA.*/


/* BOX WITHIN RESULT BOX TO DISPLAY ALL OTHER CONTENT*/

.results-display-section .results-item .results-item-content {
    justify-content: center;
    flex-direction: column;
    display: flex;
    width: 100%;
    top: 1rem;
    bottom: 1rem;
    right: 0;
    left: 0%;
}

.results-display-section .results-item .results-item-content .product-image-container {

    /* position: absolute; */

    text-align: center;

    flex-direction: column;

    display: flex;

    align-items: center;

    justify-content: top;

    width: 100%;

    top: 3rem;

    right: 0%;

    left: 0%;

}



/*** defined the area the image will be presented in, how wide it is in results box and padding***/

.results-display-section .results-item .results-item-content .product-image-container img {

 width: 85%;

    padding-bottom: .5rem;

    /* padding-top: .5rem; */

    justify-content: center;

    	

}
.results-list-navigation {
    padding: 0;
    margin-bottom: 30px;
}

.page_no {
    padding-top: 0.5rem;
}
.results-list-navigation-element {
    display: flex;
    justify-content: flex-end;
}
.product-content {
    padding: 0.5rem 1rem;
    text-align: left;
}
span.preheader {
    font-family: 'Sailec Regular';
    font-size: 0.75rem;
    color: rgba(20, 20, 90, 0.6);
    line-height: 1.2;
}

/*** defined the test area below the image for name of product ***/

.results-display-section .results-item .results-item-content .product-title {

    font-family: 'Sailec Medium';
    font-size: 0.875rem;
    line-height: 1.2;
    font-weight: 500;


}
.results-display-section .results-item .results-item-content .product-price {
    color: #14145A99;
    font-family: 'Sailec Regular';
    font-size: 0.75rem;
    /* padding-left: 1.5rem; */
}
.pagination-results {

    font-family: "Open Sans", sans-serif;

}

.column-8 {

    grid-column: span 8;

}
.bottom-pagination {
    padding: 2rem 0;
}
.results-list-navigation .flex-grid {
    display: flex;
    flex-direction: column-reverse;
    flex-wrap: wrap;
    text-align: right;
}
.refine-results-control {
    text-align: right;
    flex: 1;
}
.results-list-navigation span {
    font-size: 0.85rem;
}
.results-list-navigation-element .page-numbers {

    display: flex;

    flex-direction: column;

    justify-content: center;

    height: 2rem;

    background-color: #fff;

    /* border-top: 1px solid #d3dae8;

    border-bottom: 1px solid #d3dae8; */

}
.results-list-navigation-element .page-numbers .pagination{

    margin-bottom: 0px;

}

ul.pagination li {
    height: 2rem;
}

.results-list-navigation-element .page-numbers ul {

    display: flex;

    height: 100%;

}

.results-list-navigation-element .page-numbers ul li.current-page {

    background-color: #14145a;

    color: #fff;

}

.results-list-navigation-element .page-numbers ul li.current-page {

    width: 2rem;

    padding: 1rem 0;

    text-align: center;

}

.results-list-navigation-element .page-numbers ul li {

    border-right: 1px solid #d3dae8 !important;

    font-size: 0.875rem;

    cursor: pointer;

    width: 2rem;

}
.ft_no {
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
}

.results-list-navigation-element .page-numbers ul {

    display: flex;

}

.results-list-navigation-element .next-page-link span {

    padding-right: 1.25rem;

}


.results-list-navigation-element .page-numbers ul li a {

    width: 2rem;

    border-right: 1px solid #d3dae8;

    text-align: center;

    padding: 0rem 0;

    cursor: pointer;

    display: block;

    line-height: 3rem;

}

.results-list-navigation-element .next-page-link, .results-list-navigation-element .previous-page-link {
    width: 2rem;
    height: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
    border: 1px solid #d3dae8;
    background-color: #fff;
    cursor: pointer;
    border-right: 0;
    text-align: center;
}
.results-list-navigation-element .next-page-link{
    border-right: 1px solid #d3dae8;
}
.results-list-navigation-element .next-page-link {

    border-top-right-radius: 0.5rem;

    border-bottom-right-radius: 0.5rem;

}

/* .results-list-navigation-element .next-page-link span {

    padding-right: 1.25rem;

} */

.results-list-navigation-element .previous-page-link {

    border-top-left-radius: 0.5rem;

    border-bottom-left-radius: 0.5rem;

}
.link-wrapper.pagination {
    align-items: center;
    display: flex;
    justify-content: center;
}
.results-list-navigation-element .next-page-link:hover, .results-list-navigation-element .previous-page-link:hover {
    background-color: #f0f0f0;
}
.container-large {
    max-width: 82rem;
    margin: auto;
}

.navy-button {

    border-color: #14145a;

    background-color: #14145a;

    color: #fff;

}

.rounded-button a {

    text-decoration: none;

    color: #fff;

    display: inline-block;

    padding: 0.25rem 2.5rem 0;

}

.more-sunglass {

    text-align: center;

}

.results-list-navigation-element .page-numbers ul li:hover {

    background-color: #f0f0f0;

    color: #14145a;

}

.results-list-navigation-element .next-page-link:hover, .results-list-navigation-element .previous-page-link:hover {

    background-color: #f0f0f0;

}

.results-display-by-name {

    padding: 2rem;
    display: block;

}
.results-display-by-name .title {
    font-size: 2rem;
    font-family: 'Sailec';
    font-weight: 500;
    padding-top: 0.5rem;
}
ul.results-list-names a {
    background: #fff;
    border-radius: 0.25rem;
    text-align: left;
    padding: 0.5rem;
    justify-content: center;
    flex-direction: column;
    display: flex;
    font-family: 'Sailec Medium';
    font-size: 0.875rem;
}
ul.results-list-names li {
    margin-left: 10px;
}
ul.results-list-names a:hover {
    background: #14145a10;
}
.results-display-by-name .results-list-names li a {

    text-decoration: none;

}
.search-results-page{
    background: #fafafa;
}
input:checked + .slider {
    background-color: #14145a;
}
input:checked + .slider:before {
    -webkit-transform: translateX(18px);
    -ms-transform: translateX(18px);
    transform: translateX(18px);
}
.search-filter-dialogue.scrolled {

    position: fixed;

    top: -1px;

    z-index: 200;

}

#main__section_data section.search-filter.scrolled {

    width: calc(100% - 5rem);

}

.search-filter.scrolled {

    position: fixed;

    width: calc(100% - 5rem);

    background-color: #fff;

    top: 7.4rem;

    z-index: 200;

}   

.results-display-by-name.hidden {

    display: none;

}

.results-display-section.hidden {

    display: none;

}

.manufacturer-videos {

    padding-left: 20px;

    padding-right: 20px;

}







.product-search .pagination-results .text-left .pagination {

    margin-left: 0px;

}





.product-search .search-filter-dialogue .filter-box .filter-item .dropdown-arrow svg path {

    stroke: #14145a;

}



.dynamic-results-area .no_results {

    padding: 20px;

    text-align: center;

    border-bottom: 1px solid #d3dae8;

}



.dynamic-results-area #srch_brnd_link_2{

	cursor : pointer;

}











.up-lens-col {

    grid-column: span 3;

    margin: .75rem;

}



@media(max-width:991px){

.up-lens-col {

    grid-column: span 6;

    margin: .75rem;

}

}



@media(max-width:575px){

.up-lens-col {

    grid-column: span 12;

    margin: .75rem;

}

.manufacturer-videos {

    text-align: center;

}

.banner-cover-img{

height: 100px;

overflow: hidden;

}

}



div#bigsearch span {

    position: absolute;

    top: 0;

    /* padding: 15px 30px; */

    display: block;

    height: auto;

    /* font-size: 16px; */

    right: 0;

}

.home-search-bar .btn-default, #bigsearch .btn-default {

    background: #23966a!important;	

    /* border: 1px solid #23966a!important; */

    font-family: 'Open Sans',sans-serif;

    letter-spacing: 3px;

    font-size: 13px!important;

    text-transform: none;

    border-radius: 30px;

    /* border: 4px solid #fff !important; */

    padding: 12px 50px;

}

div#bigsearch {

    text-align: center;

    text-align: center;

    position: relative;

    max-width: 600px;

    margin: 0 auto;

    overflow: hidden;

}



div#bigsearch input {

    padding: 15px 20px;

    width: 100%;

    border-radius: 30px;

}



.hiw-col img{

     width: 170px;

     text-align: center!important;

}




.banner-cover-img{

height: 150px;

overflow: hidden;

}























